org.apache.pdfbox.pdmodel.font.encoding

## Class MacExpertEncoding

- java.lang.Object
- - org.apache.pdfbox.pdmodel.font.encoding.Encoding
  - - org.apache.pdfbox.pdmodel.font.encoding.MacExpertEncoding

All Implemented Interfaces:
  COSObjectable

    public class MacExpertEncoding
    extends Encoding

This is an interface to a text encoder.

### Field Summary

Fields
`static MacExpertEncoding` `INSTANCE` Singleton instance of this class.

### Fields inherited from class org.apache.pdfbox.pdmodel.font.encoding.Encoding

`CHAR_CODE, CHAR_NAME, codeToName, inverted`

### Constructor Summary

Constructors
Constructor and Description
`MacExpertEncoding()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSBase` `getCOSObject()` Convert this standard java object to a COS object.
`String` `getEncodingName()` Returns the name of this encoding.

### Methods inherited from class org.apache.pdfbox.pdmodel.font.encoding.Encoding

`add, contains, contains, getCodeToNameMap, getInstance, getName, getNameToCodeMap, overwrite`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final MacExpertEncoding INSTANCE

Singleton instance of this class.

### Constructor Detail

#### MacExpertEncoding

    public MacExpertEncoding()

Constructor.

### Method Detail

#### getCOSObject

    public COSBase getCOSObject()

Description copied from interface: `COSObjectable`
Convert this standard java object to a COS object.

Returns:
  The cos object that matches this Java object.

#### getEncodingName

    public String getEncodingName()

Description copied from class: `Encoding`
Returns the name of this encoding.

Specified by:
  `getEncodingName` in class `Encoding`